angular.module('starter.controllers')

  .factory('loginPromise', function($http, $q) {
    return {
      startService: function(username, password) {
        if (username.length != 6) {
          username = window.localStorage['username'];
        }
        var def = $q.defer();
        var urlAuth = "https://attdashboard.wireless.att.com/EDSGateway/auth";
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = password;
        $http.get(urlAuth, {
            async: true,
            cache: false,
          })
          .success(function(response) {
            def.resolve(response);
          }).error(function(response) {
            def.reject(response);
          }).finally(function() {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });
        return def.promise;
      }
    };
  })

  .factory('LoginService', function($http) {
    var isAuthenticated = false;
    return {
      setIsAuthenticated: function(amiLogged) {
        isAuthenticated = amiLogged;
      },
      isAuthenticated: function() {
        return isAuthenticated;
      },
      getCurrentParams: function() {
        return responseData;
      }
    };
  })
  
  .factory('acadiaPromise', function($http, $q) {
    return {
      startService: function() {
		//console.log('getting acadia.json');
        var def = $q.defer();
        var url="https://amdocspsg.neocities.org/acadianew.json";
        $http.get(url, {
            async: true,
            cache: false,
          })
          .success(function(response) {
			  //console.log('acadia success');
            def.resolve(response);
          }).error(function(response) {
			  console.log('acadia json fetch error');
            def.reject("Unable to retrieve acadia json");
          });
        return def.promise;
      }
    };
  })
  
   
  
  